Error deploying app on Galaxy


#1

I’m new to this so I have probably made a dumb mistake somewhere, but my issue is I continuously receive the following errors when trying to deploy my app.

> 95gp
> 2016-09-06 06:44:07-05:00Application process starting, version: 1 on apprunner (embedded)
> 95gp
> 2016-09-06 06:44:09-05:00/app/bundle/programs/server/boot.js:333
> 95gp
> 2016-09-06 06:44:09-05:00}).run();
> 95gp
> 2016-09-06 06:44:09-05:00 ^
> 95gp
> 2016-09-06 06:44:09-05:00
> 95gp
> 2016-09-06 06:44:09-05:00Error: $ROOT_URL, if specified, must be an URL
> 95gp
> 2016-09-06 06:44:09-05:00 at Error (native)
> 95gp
> 2016-09-06 06:44:09-05:00 at packages/meteor/url_server.js:8:1
> 95gp
> 2016-09-06 06:44:09-05:00 at packages/meteor/url_server.js:19:1
> 95gp
> 2016-09-06 06:44:09-05:00 at /app/bundle/programs/server/packages/meteor.js:1365:3
> 95gp
> 2016-09-06 06:44:09-05:00 at /app/bundle/programs/server/boot.js:292:10
> 95gp
> 2016-09-06 06:44:09-05:00 at Array.forEach (native)
> 95gp
> 2016-09-06 06:44:09-05:00 at Function..each..forEach (/app/bundle/programs/server/node_modules/underscore/underscore.js:79:11)
> 95gp
> 2016-09-06 06:44:09-05:00 at /app/bundle/programs/server/boot.js:128:5
> 95gp
> 2016-09-06 06:44:09-05:00Application exited with code: 1 signal: null
> 95gp
> 2016-09-06 06:44:09-05:00Application process closed with code: 1 signal: null
> 95gp
> 2016-09-06 06:44:19-05:00The container has crashed. A new container will be started to replace it.

I’ve been searching for a solution and I’m just not having any luck. Hopefully someone on here could help me out.


#2

You should raise a support ticket through your Galaxy user panel.


#3

Can you show your settings?